Draft WireToBSpline/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "# Vyberte drát nebo B-křivku # Stiskněte tlačítko {{KEY|16px [[Draft WireToBSpline/cs|Kreslení D...")
(Updating to match new version of source page)
(18 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Draft_WireToBSpline|Name/cs=Kreslení Drát do B-křivky|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Drát do B-křivky}}
{{Docnav
|[[Draft_SubelementHighlight|Subelement highlight]]
|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft WireToBSpline|Name/cs=Kreslení Drát do B-křivky|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Drát do B-křivky}}
</div>


==Popis==
==Popis==


<div class="mw-translate-fuzzy">
Tento nástroj konvertuje [[Draft Wire/cs|Dráty]] do [[Draft BSpline/cs|B-křivek]] a naopak.
Tento nástroj konvertuje [[Draft Wire/cs|Dráty]] do [[Draft BSpline/cs|B-křivek]] a naopak.
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convert a wire to a B-Spline, and a closed B-Spline to a closed wire}}


<div class="mw-translate-fuzzy">
==Použití==
==Použití==
</div>


<div class="mw-translate-fuzzy">
# Vyberte [[Draft Wire-cs|drát]] nebo [[Draft BSpline/cs|B-křivku]]
# Vyberte [[Draft Wire/cs|drát]] nebo [[Draft BSpline/cs|B-křivku]]
# Stiskněte tlačítko {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline/cs|Kreslení Drát do B-křivky]]}}
# Stiskněte tlačítko {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline/cs|Kreslení Drát do B-křivky]]}}
</div>


A new object will be created; the original object will not be modified.
==Options==


{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the [[3D view]]. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Volby==


<div class="mw-translate-fuzzy">
Not available, but creating a new object with the points from another one is easy, for example:
* Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.
</div>


<div class="mw-translate-fuzzy">
* If the active object is a wire:
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
<syntaxhighlight>
Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:
import FreeCAD,Draft
</div>
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
</syntaxhighlight>


The {{incode|Points}} attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* if the active object is a bspline


<div class="mw-translate-fuzzy">
<syntaxhighlight>
* Je-li aktivní objekt drát:
import FreeCAD,Draft
</div>
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
</syntaxhighlight>


{{Code|code=
<languages/>
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
}}

{{Docnav
|[[Draft_SubelementHighlight|Subelement highlight]]
|[[Draft_AddPoint|Add point]]
|[[Draft_Module|Draft]]
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
}}

{{clear}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 02:04, 21 February 2020

Kreslení Drát do B-křivky

Umístění Menu
Kreslení -> Drát do B-křivky
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Tento nástroj konvertuje Dráty do B-křivek a naopak.

Convert a wire to a B-Spline, and a closed B-Spline to a closed wire

Použití

  1. Vyberte drát nebo B-křivku
  2. Stiskněte tlačítko Kreslení Drát do B-křivky

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set ÚdajeMake Face to false to see the new shape, or set ÚdajeClosed to false to create an open shape.

Volby

  • Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.

Skriptování

Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Je-li aktivní objekt drát:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)